# eric6.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.HgQueuesFoldDialog

Module implementing a dialog to enter data to fold patches.

### Global Attributes

None

### Classes

HgQueuesFoldDialog | Class implementing a dialog to enter data to fold patches.

### Functions

None

## HgQueuesFoldDialog

Class implementing a dialog to enter data to fold patches.

### Derived from

QDialog, Ui_HgQueuesFoldDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgQueuesFoldDialog | Constructor
__updateOkButton | Private slot to update the status of the OK button.
getData | Public method to retrieve the entered data.
on_addButton_clicked | Private slot to add a patch to the list of selected patches.
on_downButton_clicked | Private slot to move a patch down in the list.
on_removeButton_clicked | Private slot to remove a patch from the list of selected patches.
on_selectedPatches_currentItemChanged | Private slot to react on changes of the current item of selected patches.
on_sourcePatches_currentItemChanged | Private slot to react on changes of the current item of source patches.
on_upButton_clicked | Private slot to move a patch up in the list.

### Static Methods

None

#### HgQueuesFoldDialog (Constructor)

HgQueuesFoldDialog(patchesList, parent=None)

Constructor

patchesList
  list of patches to select from (list of strings)
parent
  reference to the parent widget (QWidget)

#### HgQueuesFoldDialog.__updateOkButton

__updateOkButton()

Private slot to update the status of the OK button.

#### HgQueuesFoldDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  tuple of commit message and list of selected patches (string, list of strings)

#### HgQueuesFoldDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a patch to the list of selected patches.

#### HgQueuesFoldDialog.on_downButton_clicked

on_downButton_clicked()

Private slot to move a patch down in the list.

#### HgQueuesFoldDialog.on_removeButton_clicked

on_removeButton_clicked()

Private slot to remove a patch from the list of selected patches.

#### HgQueuesFoldDialog.on_selectedPatches_currentItemChanged

on_selectedPatches_currentItemChanged(current, previous)

Private slot to react on changes of the current item of selected patches.

current
  reference to the new current item (QTreeWidgetItem)
previous
  reference to the previous current item (QTreeWidgetItem)

#### HgQueuesFoldDialog.on_sourcePatches_currentItemChanged

on_sourcePatches_currentItemChanged(current, previous)

Private slot to react on changes of the current item of source patches.

current
  reference to the new current item (QTreeWidgetItem)
previous
  reference to the previous current item (QTreeWidgetItem)

#### HgQueuesFoldDialog.on_upButton_clicked

on_upButton_clicked()

Private slot to move a patch up in the list.

Up